
%global meadversion 0.2.1
%global namedversion 0.2.1.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%{?scl:%scl_package opentracing-contrib-java-concurrent} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 0.2.1.redhat-00001

Name:		    %{?scl_prefix}opentracing-contrib-java-concurrent
Summary:	    OpenTracing instrumentation for JDK concurrent package
Version:	    %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: opentracing-concurrent-0.2.1.redhat-00001-project-sources.tar.gz
Source102: opentracing-concurrent-0.2.1.redhat-00001.jar
Source103: opentracing-concurrent-0.2.1.redhat-00001-sources.jar
Source104: opentracing-concurrent-0.2.1.redhat-00001.pom
%endif

License:        ASL 2.0
URL:            https://github.com/opentracing-contrib/java-concurrent
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for opentracing-contrib-java-concurrent
Group:          Development/Java


%description javadoc
Javadoc for opentracing-contrib-java-concurrent
%endif

%prep

%if 0
%setup -q -n opentracing-concurrent-%{namedversion} -T -b 100
%endif

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

#jars
%{__cp} -p %{_sourcedir}/opentracing-concurrent-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/opentracing-concurrent-%{namedversion}-sources.jar %{buildroot}%{_javadir}

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/opentracing-contrib-java-concurrent-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/opentracing-concurrent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/opentracing-contrib-java-concurrent-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s opentracing-contrib-java-concurrent-%{namedversion} opentracing-contrib-java-concurrent)
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%if 0
%doc README.md
%endif

%{_javadir}/opentracing-concurrent-%{namedversion}.jar
%{_javadir}/opentracing-concurrent.jar
%{_javadir}/opentracing-concurrent-%{namedversion}-sources.jar
%{_javadir}/opentracing-concurrent-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/opentracing-contrib-java-concurrent
%{_javadocdir}/opentracing-contrib-java-concurrent-%{namedversion}
%endif

%changelog
* Wed Nov 06 2019 Permaine Cheung <pcheung@redhat.com> - 0.2.1-1.redhat_00001.1
- 0.2.1.redhat-00001

* Fri Sep 14 2018 Yong Yang <yyang@redhat.com> - 0.1.0-2.redhat_00002.1
- Fix summary

* Fri Sep 14 2018 Yong Yang <yyang@redhat.com> - 0.1.0-1.redhat_00002.1
-  0.1.0.redhat-00002 

* Fri Sep 14 2018 Yong Yang <yyang@redhat.com> - 0.1.0.redhat-00002
- Init build
